/*
lightOS libkernel
Copyright (C) 2007-2009 Jörg Pfähler

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
*/
#ifndef LIGHTOS_LIBKERNEL_MESSAGE_NOPREFIX_H
#define LIGHTOS_LIBKERNEL_MESSAGE_NOPREFIX_H

#include <libkernel/message.h>
#include <libkernel/type_noprefix.h>

/*! \addtogroup libkernel libkernel */
/*@{*/

/* Define shared-memory types */
#define SHM_NONE                       _LIBKERNEL_SHM_NONE
#define SHM_TRANSFER_OWNERSHIP         _LIBKERNEL_SHM_TRANSFER_OWNERSHIP
#define SHM_READ_ONLY                  _LIBKERNEL_SHM_READ_ONLY
#define SHM_WRITE                      _LIBKERNEL_SHM_WRITE
#define SHM_MUTUAL_WRITE               _LIBKERNEL_SHM_MUTUAL_WRITE

/* Define port Id's */
#define PORT_NONE                      _LIBKERNEL_PORT_NONE
#define PORT_STDIN                     _LIBKERNEL_PORT_STDIN
#define PORT_STDOUT                    _LIBKERNEL_PORT_STDOUT
#define PORT_STDERR                    _LIBKERNEL_PORT_STDERR
#define PORT_KERNEL                    _LIBKERNEL_PORT_KERNEL
#define PORT_INIT                      _LIBKERNEL_PORT_INIT
#define PORT_PCI                       _LIBKERNEL_PORT_PCI
#define PORT_VFS                       _LIBKERNEL_PORT_VFS
#define PORT_GUI                       _LIBKERNEL_PORT_GUI
#define PORT_NET                       _LIBKERNEL_PORT_NET
#define PORT_CONSOLE                   _LIBKERNEL_PORT_CONSOLE
#define PORT_USER                      _LIBKERNEL_PORT_USER

/* Define message ids */
#define MSG_PING                       _LIBKERNEL_MSG_PING
#define MSG_PONG                       _LIBKERNEL_MSG_PONG
#define MSG_EVENT                      _LIBKERNEL_MSG_EVENT
#define MSG_VFS_REGISTER_FS            _LIBKERNEL_MSG_VFS_REGISTER_FS
#define MSG_VFS_WAIT_FS_REGISTRATION   _LIBKERNEL_MSG_VFS_WAIT_FS_REGISTRATION
#define MSG_VFS_SET_WORKING_DIR        _LIBKERNEL_MSG_VFS_SET_WORKING_DIR
#define MSG_VFS_GET_WORKING_DIR        _LIBKERNEL_MSG_VFS_GET_WORKING_DIR
#define MSG_VFS_SET_CONSOLE            _LIBKERNEL_MSG_VFS_SET_CONSOLE
#define MSG_VFS_GET_CONSOLE            _LIBKERNEL_MSG_VFS_GET_CONSOLE
#define MSG_VFS_FIND_FS                _LIBKERNEL_MSG_VFS_FIND_FS
#define MSG_VFS_MOUNT                  _LIBKERNEL_MSG_VFS_MOUNT
#define MSG_VFS_UNMOUNT                _LIBKERNEL_MSG_VFS_UNMOUNT
#define MSG_VFS_GET_MOUNT_COUNT        _LIBKERNEL_MSG_VFS_GET_MOUNT_COUNT
#define MSG_VFS_GET_MOUNT_INFO         _LIBKERNEL_MSG_VFS_GET_MOUNT_INFO
#define MSG_VFS_GET_INFO               _LIBKERNEL_MSG_FS_GET_INFO
#define MSG_FS_CREATE_FILE             _LIBKERNEL_MSG_FS_CREATE_FILE
#define MSG_FS_EXISTS_FILE             _LIBKERNEL_MSG_FS_EXISTS_FILE
#define MSG_FS_OPEN_FILE               _LIBKERNEL_MSG_FS_OPEN_FILE
#define MSG_FS_FILE_INFO               _LIBKERNEL_MSG_FS_FILE_INFO
#define MSG_FS_READ_FILE               _LIBKERNEL_MSG_FS_READ_FILE
#define MSG_FS_WRITE_FILE              _LIBKERNEL_MSG_FS_WRITE_FILE
#define MSG_FS_CLOSE_FILE              _LIBKERNEL_MSG_FS_CLOSE_FILE
#define MSG_FS_DELETE_FILE             _LIBKERNEL_MSG_FS_DELETE_FILE
#define MSG_FS_RENAME_FILE             _LIBKERNEL_MSG_FS_REANME_FILE
#define MSG_FS_SET_FILE_SIZE           _LIBKERNEL_MSG_FS_SET_FILE_SIZE
#define MSG_FS_GET_FILENAME            _LIBKERNEL_MSG_FS_GET_FILENAME
#define MSG_FS_GET_FILE_FLAGS          _LIBKERNEL_MSG_FS_GET_FILE_FLAGS
#define MSG_FS_GET_OPENER_COUNT        _LIBKERNEL_MSG_FS_GET_OPENER_COUNT
#define MSG_FS_ENUM_OPENER             _LIBKERNEL_MSG_FS_ENUM_OPENER
#define MSG_NET_REGISTER_NIC           _LIBKERNEL_MSG_NET_REGISTER_NIC
#define MSG_NET_UNREGISTER_NIC         _LIBKERNEL_MSG_NET_UNREGISTER_NIC
#define MSG_NET_ENUM_NIC               _LIBKERNEL_MSG_NET_ENUM_NIC
#define MSG_NET_GET_NIC_INFO           _LIBKERNEL_MSG_NET_GET_NIC_INFO
#define MSG_NET_NIC_RECEIVE            _LIBKERNEL_MSG_NET_NIC_RECEIVE
#define MSG_NET_NIC_TRANMIT            _LIBKERNEL_MSG_NET_NIC_TRANSMIT
#define MSG_NET_ARP_COUNT              _LIBKERNEL_MSG_NET_ARP_COUNT
#define MSG_NET_ARP_ENTRY              _LIBKERNEL_MSG_NET_ARP_ENTRY
#define MSG_NET_ARP_CLEAR              _LIBKERNEL_MSG_NET_ARP_CLEAR
#define MSG_NET_DNS_COUNT              _LIBKERNEL_MSG_NET_DNS_COUNT
#define MSG_NET_DNS_ENTRY              _LIBKERNEL_MSG_NET_DNS_ENTRY
#define MSG_NET_DNS_CLEAR              _LIBKERNEL_MSG_NET_DNS_CLEAR
#define MSG_NET_SET_NIC_INFO           _LIBKERNEL_MSG_NET_SET_NIC_INFO
#define MSG_NET_SOCKET_CREATE          _LIBKERNEL_MSG_NET_SOCKET_CREATE
#define MSG_NET_SOCKET_BIND            _LIBKERNEL_MSG_NET_SOCKET_BIND
#define MSG_NET_SOCKET_CONNECT         _LIBKERNEL_MSG_NET_SOCKET_CONNECT
#define MSG_NET_SOCKET_SEND            _LIBKERNEL_MSG_NET_SOCKET_SEND
#define MSG_NET_SOCKET_RECEIVE         _LIBKERNEL_MSG_NET_SOCKET_RECEIVE
#define MSG_NET_SOCKET_DISCONNECT      _LIBKERNEL_MSG_NET_SOCKET_DISCONNECT
#define MSG_NET_SOCKET_DESTROY         _LIBKERNEL_MSG_NET_SOCKET_DESTROY
#define MSG_NET_RESOLVE                _LIBKERNEL_MSG_NET_RESOLVE
#define MSG_INIT_EXECUTE               _LIBKERNEL_MSG_INIT_EXECUTE
#define MSG_INIT_DONE                  _LIBKERNEL_MSG_INIT_DONE
#define MSG_PCI_ENUM_DEVICES           _LIBKERNEL_MSG_PCI_ENUM_DEVICES
#define MSG_PCI_GET_DEVICE_INFO        _LIBKERNEL_MSG_PCI_GET_DEVICE_INFO
#define MSG_PCI_FIND_DEVICE            _LIBKERNEL_MSG_PCI_FIND_DEVICE
#define MSG_PCI_ENABLE_BUSMASTER       _LIBKERNEL_MSG_PCI_ENABLE_BUSMASTER
#define MSG_GUI_GET_VIDEO_MODE_COUNT   _LIBKERNEL_MSG_GUI_GET_VIDEO_MODE_COUNT
#define MSG_GUI_ENUM_VIDEO_MODES       _LIBKERNEL_MSG_GUI_ENUM_VIDEO_MODES
#define MSG_GUI_GET_VIDEO_MODE         _LIBKERNEL_MSG_GUI_GET_VIDEO_MODE
#define MSG_GUI_SET_VIDEO_MODE         _LIBKERNEL_MSG_GUI_SET_VIDEO_MODE
#define MSG_GUI_GET_BACKGROUND_IMAGE   _LIBKERNEL_MSG_GUI_GET_BACKGROUND_IMAGE
#define MSG_GUI_SET_BACKGROUND_IMAGE   _LIBKERNEL_MSG_GUI_SET_BACKGROUND_IMAGE
#define MSG_GUI_CREATE_WINDOW          _LIBKERNEL_MSG_GUI_CREATE_WINDOW
#define MSG_GUI_MOVE_WINDOW            _LIBKERNEL_MSG_GUI_MOVE_WINDOW
#define MSG_GUI_RESIZE_WINDOW          _LIBKERNEL_MSG_GUI_RESIZE_WINDOW
#define MSG_GUI_DESTROY_WINDOW         _LIBKERNEL_MSG_GUI_DESTROY_WINDOW
#define MSG_GUI_DRAW_TEXT              _LIBKERNEL_MSG_GUI_DRAW_TEXT
#define MSG_GUI_KEYBOARD               _LIBKERNEL_MSG_GUI_KEYBOARD

/*@}*/

#endif
